Subject: [pim] Question about the PIM-SM protocol

From: Manish Gupta <[email-masked]>
Date: Mon, 17 May 2004 19:03:48 -0400

Hi

 I am not sure if this is the right mailing list for
 posting such queries. I am new to the protocol
 and want to understand what is PIM-SM
 expected to do in the following situation. I
 hope somebody can clarify.

  [PRx]  => PIM Router-x
  (ix)   => Interface-x
  [RCVR] => Receiver registered for Group G
  [SNDR] => Sender (S) for Group G

    ---(i3)---[PR1]---(i5)-----(i7)---[PR3]---(iR)---[RCVR]
   |                                    |
  (i1)                                 (iX)
   |                                    |
  [RP]                                  |
   |                                    |
  (i2)                                 (iY)
   |                                    |
    ---(i4)---[PR2]---(i6)-----(i8)---[PR3]---(iS)---[SNDR]

  In the above network, skipping the
  Register/Register-Stop Messaging etc. Once the
  PIM-SM has stablized, including PR3 already
  switched to SPT, my understanding is that
  network will look something like:

  [RP]:
      (S, G, SPT=TRUE): iif=i2, oif={i1}

  [PR1]:
      (*,G): iif=i3, oif={i5}
      (S,G,RPT=TRUE): iif=i3, oif={}

  [PR2]
      (S,G,SPT=TRUE): iif=i6, oif={i4}

  [PR3]
      (S,G,SPT=TRUE): iif=iX, oif={iR}

  [PR4]
      (S,G,SPT=TRUE): iif=iS, oif={i8, iY}

  Is this correct?

  Now, what will happen if the link between
  [PR3] -- [PR4] breaks?

  Will [PR3] send Join (S,G,rpt) or Join (S,G)
  towards RP? Can somebody please clarify?

thanks
manish

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim